# SourcePath: busybox/20220420dev
Summary: Busybox combines tiny versions of many common UNIX utilities into a single small executable.
Name: sony-target-dev-busybox
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-busybox
Version: 1.29.3
Release: 08020705
URL: http://www.busybox.net
Source0: http://busybox.net/downloads/busybox-%{version}.tar.bz2
Source1: dotconfig
Patch1: busybox-1.29.3-make.patch
Patch2: busybox-1.29.3-sfdisk.patch
Patch3: busybox-1.29.3-nfs-cp.patch
Patch4: busybox-1.29.3-sfdisk-error-exit.patch
Patch5: busybox-1.29.3-devel.patch
Patch6: busybox-1.29.3-logger.patch
Patch7: busybox-1.29.3-halt-without-init.patch
#Patch8: busybox-1.13.4-cpio-tests-fix-false-positive.patch
#Patch9: busybox-1.13.4-libbb-xrealloc.patch
Patch8: busybox-1.29.3_CVE-2018-20679.patch
Patch9: busybox-1.29.3_CVE-2019-5747.patch
Patch10: busybox-1.29.3-CVE-2021-28831.patch
Patch11: busybox-1.29.3-CVE-2021-42374.patch
Patch12: busybox-1.29.3-CVE-2021-42378-to-CVE-2021-42386.patch

License: GPL2
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}
%define _defaultdocdir  %{sony_target_dir}%{sony_target_dev_doc_dir}

%description
BusyBox combines tiny versions of many common UNIX utilities into a single small
executable. It provides replacements for most of the utilities you usually find
in GNU fileutils, shellutils, etc. The utilities in BusyBox generally have fewer
options than their full-featured GNU cousins; however, the options that are
included provide the expected functionality and behave very much like their GNU
counterparts. BusyBox provides a fairly complete environment for any small or
embedded system. 

%package -n %{pkgname}
Summary:  Busybox combines tiny versions of many common UNIX utilities into a single small executable.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
BusyBox combines tiny versions of many common UNIX utilities into a single small
executable. It provides replacements for most of the utilities you usually find
in GNU fileutils, shellutils, etc. The utilities in BusyBox generally have fewer
options than their full-featured GNU cousins; however, the options that are
included provide the expected functionality and behave very much like their GNU
counterparts. BusyBox provides a fairly complete environment for any small or
embedded system. 

%prep
%setup -n busybox-%{version}
cp %{SOURCE1} .config
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
%sony_target_dev_setup
make oldconfig
make dep ARCH=%{sony_target_cpu_longname} CROSS_COMPILE=%{sony_target_toolprefix} CC="${CC}" V=1
make ARCH=%{sony_target_cpu_longname} CROSS_COMPILE=%{sony_target_toolprefix} CC="${CC}" V=1

%install
%sony_target_dev_install_setup
rm -rf %{buildroot}
make \
	ARCH=%{sony_target_cpu_longname} \
	CROSS_COMPILE=%{sony_target_toolprefix} \
	CONFIG_PREFIX=%{buildroot}%{sony_target_dir} \
	CC="${CC}" \
        install

### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/readlink
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/strings
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/cmp
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/du
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/install
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/find
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/xargs
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/clear
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/reset
### rm %{buildroot}%{sony_target_dir}/devel/bin/ps
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/free
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/uptime
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/basename
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/dirname
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/env
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/expr
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/id
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/tee
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/test
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/tty
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/whoami
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/yes
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/cut
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/head
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/sort
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/tail
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/tr
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/uniq
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/wc
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/time
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/logger
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/which

### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/md5sum
### rm %{buildroot}%{sony_target_dir}/devel/usr/bin/mkfifo
### rm %{buildroot}%{sony_target_dir}/devel/bin/login

rm %{buildroot}%{sony_target_dir}/bin/arch
rm %{buildroot}%{sony_target_dir}/bin/base64
rm %{buildroot}%{sony_target_dir}/bin/conspy
rm %{buildroot}%{sony_target_dir}/bin/dnsdomainname
rm %{buildroot}%{sony_target_dir}/bin/fatattr
rm %{buildroot}%{sony_target_dir}/bin/fsync
rm %{buildroot}%{sony_target_dir}/bin/ionice
rm %{buildroot}%{sony_target_dir}/bin/iostat
rm %{buildroot}%{sony_target_dir}/bin/link
rm %{buildroot}%{sony_target_dir}/bin/linux32
rm %{buildroot}%{sony_target_dir}/bin/linux64
rm %{buildroot}%{sony_target_dir}/bin/lzop
rm %{buildroot}%{sony_target_dir}/bin/mpstat
rm %{buildroot}%{sony_target_dir}/bin/nuke
rm %{buildroot}%{sony_target_dir}/bin/resume
rm %{buildroot}%{sony_target_dir}/bin/rev
rm %{buildroot}%{sony_target_dir}/bin/scriptreplay
rm %{buildroot}%{sony_target_dir}/bin/setpriv
rm %{buildroot}%{sony_target_dir}/bin/setserial
rm %{buildroot}%{sony_target_dir}/linuxrc
rm %{buildroot}%{sony_target_dir}/sbin/acpid
rm %{buildroot}%{sony_target_dir}/sbin/blockdev
rm %{buildroot}%{sony_target_dir}/sbin/bootchartd
rm %{buildroot}%{sony_target_dir}/sbin/fstrim
rm %{buildroot}%{sony_target_dir}/sbin/ifdown
rm %{buildroot}%{sony_target_dir}/sbin/ifup
rm %{buildroot}%{sony_target_dir}/sbin/ipneigh
rm %{buildroot}%{sony_target_dir}/sbin/mkdosfs
rm %{buildroot}%{sony_target_dir}/sbin/mke2fs
rm %{buildroot}%{sony_target_dir}/sbin/mkfs.ext2
rm %{buildroot}%{sony_target_dir}/sbin/mkfs.vfat
rm %{buildroot}%{sony_target_dir}/sbin/modinfo
rm %{buildroot}%{sony_target_dir}/sbin/run-init
rm %{buildroot}%{sony_target_dir}/sbin/tc
rm %{buildroot}%{sony_target_dir}/sbin/tunctl
rm %{buildroot}%{sony_target_dir}/sbin/udhcpc
rm %{buildroot}%{sony_target_dir}/sbin/uevent
rm %{buildroot}%{sony_target_dir}/usr/bin/beep
rm %{buildroot}%{sony_target_dir}/usr/bin/blkdiscard
rm %{buildroot}%{sony_target_dir}/usr/bin/dumpleases
rm %{buildroot}%{sony_target_dir}/usr/bin/factor
rm %{buildroot}%{sony_target_dir}/usr/bin/fallocate
rm %{buildroot}%{sony_target_dir}/usr/bin/fgconsole
rm %{buildroot}%{sony_target_dir}/usr/bin/flock
rm %{buildroot}%{sony_target_dir}/usr/bin/groups
rm %{buildroot}%{sony_target_dir}/usr/bin/hexedit
rm %{buildroot}%{sony_target_dir}/usr/bin/lsof
rm %{buildroot}%{sony_target_dir}/usr/bin/lspci
rm %{buildroot}%{sony_target_dir}/usr/bin/lsscsi
rm %{buildroot}%{sony_target_dir}/usr/bin/lsusb
rm %{buildroot}%{sony_target_dir}/usr/bin/lzcat
rm %{buildroot}%{sony_target_dir}/usr/bin/lzma
rm %{buildroot}%{sony_target_dir}/usr/bin/mkpasswd
rm %{buildroot}%{sony_target_dir}/usr/bin/nl
rm %{buildroot}%{sony_target_dir}/usr/bin/nproc
rm %{buildroot}%{sony_target_dir}/usr/bin/paste
rm %{buildroot}%{sony_target_dir}/usr/bin/pmap
rm %{buildroot}%{sony_target_dir}/usr/bin/pstree
rm %{buildroot}%{sony_target_dir}/usr/bin/pwdx
rm %{buildroot}%{sony_target_dir}/usr/bin/setfattr
rm %{buildroot}%{sony_target_dir}/usr/bin/sha256sum
rm %{buildroot}%{sony_target_dir}/usr/bin/sha3sum
rm %{buildroot}%{sony_target_dir}/usr/bin/sha512sum
rm %{buildroot}%{sony_target_dir}/usr/bin/shred
rm %{buildroot}%{sony_target_dir}/usr/bin/shuf
rm %{buildroot}%{sony_target_dir}/usr/bin/smemcap
rm %{buildroot}%{sony_target_dir}/usr/bin/ssl_client
rm %{buildroot}%{sony_target_dir}/usr/bin/svc
rm %{buildroot}%{sony_target_dir}/usr/bin/svok
rm %{buildroot}%{sony_target_dir}/usr/bin/timeout
rm %{buildroot}%{sony_target_dir}/usr/bin/traceroute6
rm %{buildroot}%{sony_target_dir}/usr/bin/truncate
rm %{buildroot}%{sony_target_dir}/usr/bin/unlink
rm %{buildroot}%{sony_target_dir}/usr/bin/unshare
rm %{buildroot}%{sony_target_dir}/usr/bin/unxz
rm %{buildroot}%{sony_target_dir}/usr/bin/volname
rm %{buildroot}%{sony_target_dir}/usr/bin/whois
rm %{buildroot}%{sony_target_dir}/usr/bin/xxd
rm %{buildroot}%{sony_target_dir}/usr/bin/xz
rm %{buildroot}%{sony_target_dir}/usr/bin/xzcat
rm %{buildroot}%{sony_target_dir}/usr/sbin/dhcprelay
rm %{buildroot}%{sony_target_dir}/usr/sbin/fsfreeze
rm %{buildroot}%{sony_target_dir}/usr/sbin/ftpd
rm %{buildroot}%{sony_target_dir}/usr/sbin/i2cdetect
rm %{buildroot}%{sony_target_dir}/usr/sbin/i2cdump
rm %{buildroot}%{sony_target_dir}/usr/sbin/i2cget
rm %{buildroot}%{sony_target_dir}/usr/sbin/i2cset
rm %{buildroot}%{sony_target_dir}/usr/sbin/ifplugd
rm %{buildroot}%{sony_target_dir}/usr/sbin/nanddump
rm %{buildroot}%{sony_target_dir}/usr/sbin/nandwrite
rm %{buildroot}%{sony_target_dir}/usr/sbin/nbd-client
rm %{buildroot}%{sony_target_dir}/usr/sbin/ntpd
rm %{buildroot}%{sony_target_dir}/usr/sbin/partprobe
rm %{buildroot}%{sony_target_dir}/usr/sbin/powertop
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubiattach
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubidetach
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubimkvol
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubirename
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubirmvol
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubirsvol
rm %{buildroot}%{sony_target_dir}/usr/sbin/ubiupdatevol
rm %{buildroot}%{sony_target_dir}/usr/sbin/udhcpd


rm %{buildroot}%{sony_target_dir}/bin/sh
#rm %{buildroot}%{sony_target_dir}/devel/bin/kill

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/log
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/run

touch %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/log/wtmp
touch %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/run/utmp

# chown root:utmp %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/log/wtmp
# chown root:utmp %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/run/utmp

chmod 664 %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/log/wtmp
chmod 664 %{buildroot}%{sony_target_dir}%{sony_target_dev_localstate_dir}/run/utmp

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%defattr(0664,root,utmp)
%{sony_target_dir}%{sony_target_dev_localstate_dir}/log/wtmp
%{sony_target_dir}%{sony_target_dev_localstate_dir}/run/utmp
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/bin/ash
%{sony_target_dir}%{sony_target_dev_bin_dir}/basename
%{sony_target_dir}%{sony_target_dev_dir}/bin/busybox
%{sony_target_dir}%{sony_target_dev_dir}/bin/cat
%{sony_target_dir}%{sony_target_dev_dir}/bin/chgrp
%{sony_target_dir}%{sony_target_dev_dir}/bin/chmod
%{sony_target_dir}%{sony_target_dev_dir}/bin/chown
%{sony_target_dir}%{sony_target_dev_bin_dir}/cmp
%{sony_target_dir}%{sony_target_dev_dir}/bin/cp
%{sony_target_dir}%{sony_target_dev_dir}/bin/cpio
%{sony_target_dir}%{sony_target_dev_bin_dir}/cut
%{sony_target_dir}%{sony_target_dev_dir}/bin/date
%{sony_target_dir}%{sony_target_dev_dir}/bin/dd
%{sony_target_dir}%{sony_target_dev_bin_dir}/dirname
%{sony_target_dir}%{sony_target_dev_dir}/bin/dmesg
%{sony_target_dir}%{sony_target_dev_dir}/bin/echo
%{sony_target_dir}%{sony_target_dev_dir}/bin/egrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/env
%{sony_target_dir}%{sony_target_dev_bin_dir}/expr
%{sony_target_dir}%{sony_target_dev_dir}/bin/false
%{sony_target_dir}%{sony_target_dev_dir}/bin/fgrep
%{sony_target_dir}%{sony_target_dev_dir}/bin/grep
%{sony_target_dir}%{sony_target_dev_dir}/bin/gunzip
%{sony_target_dir}%{sony_target_dev_dir}/bin/gzip
%{sony_target_dir}%{sony_target_dev_dir}/bin/ln
%{sony_target_dir}%{sony_target_dev_dir}/bin/login
%{sony_target_dir}%{sony_target_dev_bin_dir}/logger
%{sony_target_dir}%{sony_target_dev_dir}/bin/ls
%{sony_target_dir}%{sony_target_dev_dir}/bin/kill
%{sony_target_dir}%{sony_target_dev_dir}/bin/mkdir
%{sony_target_dir}%{sony_target_dev_bin_dir}/mkfifo
%{sony_target_dir}%{sony_target_dev_dir}/bin/mknod
%{sony_target_dir}%{sony_target_dev_dir}/bin/mktemp
%{sony_target_dir}%{sony_target_dev_bin_dir}/md5sum
%{sony_target_dir}%{sony_target_dev_dir}/bin/mount
%{sony_target_dir}%{sony_target_dev_dir}/bin/mv
%{sony_target_dir}%{sony_target_dev_dir}/bin/pidof
%{sony_target_dir}%{sony_target_dev_dir}/bin/ping
%{sony_target_dir}%{sony_target_dev_dir}/bin/ping6
%{sony_target_dir}%{sony_target_dev_dir}/bin/pwd
%{sony_target_dir}%{sony_target_dev_dir}/bin/rm
%{sony_target_dir}%{sony_target_dev_dir}/bin/rmdir
%{sony_target_dir}%{sony_target_dev_dir}/bin/sed
%{sony_target_dir}%{sony_target_dev_dir}/bin/sleep
%{sony_target_dir}%{sony_target_dev_bin_dir}/sort
%{sony_target_dir}%{sony_target_dev_dir}/bin/stty
%{sony_target_dir}%{sony_target_dev_dir}/bin/sync
%{sony_target_dir}%{sony_target_dev_bin_dir}/tail
%{sony_target_dir}%{sony_target_dev_dir}/bin/tar
%{sony_target_dir}%{sony_target_dev_bin_dir}/test
%{sony_target_dir}%{sony_target_dev_dir}/bin/touch
%{sony_target_dir}%{sony_target_dev_dir}/bin/true
%{sony_target_dir}%{sony_target_dev_dir}/bin/umount
%{sony_target_dir}%{sony_target_dev_dir}/bin/uname
%{sony_target_dir}%{sony_target_dev_bin_dir}/uniq
%{sony_target_dir}%{sony_target_dev_dir}/bin/usleep
%{sony_target_dir}%{sony_target_dev_bin_dir}/xargs
%{sony_target_dir}%{sony_target_dev_bin_dir}/wc
%{sony_target_dir}%{sony_target_dev_dir}/bin/zcat
%{sony_target_dir}%{sony_target_dev_dir}/sbin/freeramdisk
%{sony_target_dir}%{sony_target_dev_dir}/sbin/getty
%{sony_target_dir}%{sony_target_dev_dir}/sbin/halt
%{sony_target_dir}%{sony_target_dev_dir}/sbin/ifconfig
%{sony_target_dir}%{sony_target_dev_dir}/sbin/insmod
%{sony_target_dir}%{sony_target_dev_dir}/sbin/klogd
%{sony_target_dir}%{sony_target_dev_dir}/sbin/lsmod
%{sony_target_dir}%{sony_target_dev_dir}/sbin/modprobe
%{sony_target_dir}%{sony_target_dev_dir}/sbin/pivot_root
%{sony_target_dir}%{sony_target_dev_dir}/sbin/poweroff
%{sony_target_dir}%{sony_target_dev_dir}/sbin/reboot
%{sony_target_dir}%{sony_target_dev_dir}/sbin/rmmod
%{sony_target_dir}%{sony_target_dev_dir}/sbin/route
%{sony_target_dir}%{sony_target_dev_dir}/sbin/sfdisk
%{sony_target_dir}%{sony_target_dev_dir}/sbin/swapoff
%{sony_target_dir}%{sony_target_dev_dir}/sbin/swapon
%{sony_target_dir}%{sony_target_dev_dir}/sbin/syslogd
%{sony_target_dir}%{sony_target_dev_dir}/sbin/switch_root
%{sony_target_dir}%{sony_target_dev_dir}/sbin/vconfig
%{sony_target_dir}%{sony_target_dev_bin_dir}/[
%{sony_target_dir}%{sony_target_dev_bin_dir}/[[
%{sony_target_dir}%{sony_target_dev_bin_dir}/bunzip2
%{sony_target_dir}%{sony_target_dev_bin_dir}/bzcat
%{sony_target_dir}%{sony_target_dev_bin_dir}/fuser
%{sony_target_dir}%{sony_target_dev_bin_dir}/killall
%{sony_target_dir}%{sony_target_dev_bin_dir}/readlink
%{sony_target_dir}%{sony_target_dev_bin_dir}/sha1sum
%{sony_target_dir}%{sony_target_dev_bin_dir}/taskset
%{sony_target_dir}%{sony_target_dev_bin_dir}/ftpget
%{sony_target_dir}%{sony_target_dev_bin_dir}/ftpput
%{sony_target_dir}%{sony_target_dev_sbin_dir}/chroot

%changelog
* Wed Apr 20 2022 Sony Group Corporation
- Adding patch for CVE-2021-42374,CVE-2021-42378,
  CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,
  CVE-2021-42382,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386

* Fri Sep 17 2021 Sony Group Corporation
- Adding CVE-2021-28831 security patch

* Thu Feb 04 2021 Sony Corporation
- Updated source path

* Wed Jan 21 2021 Sony Corporation
- Added Patch for CVE-2018-20679 and CVE-2019-5747

* Mon Sep 28 2020 Sony Corporation
- Initial build for CE Linux 8.2.7.X

* Mon Dec 3 2018 Sony Corporation
- added fuser

* Tue Nov 27 2018 Sony Corporation
- Version updated to 1.29.3

* Fri Dec 09 2016 Sony Corporation
- Removed Telnet and Telnetd commands

* Wed Jan 27 2016 Sony Corporation
- Remove unzip command support

* Wed Dec 30 2015 Sony Corporation
- add unzip

* Fri Dec 17 2010 Sony Corporation
- added patch for tool/devel/usr/bin, tool/usr/bin PATH in bb_PATH 

* Fri Mar 05 2010 Sony Corporation
- add CC="${CC}" in the install section to fix build problem

* Sat Feb 09 2010 Sony Corporation
- add taskset command

* Tue Jun 02 2009 Sony Corporation
- update dotconfig for 1.13.4
- fix xrealloc problem
- fix cpio testsuite 

* Tue May 26 2009 Sony Corporation
- Add stty

* Wed Apr 22 2009 Sony Corporation
- Updated to 6.x

* Mon Apr 20 2009 Sony Corporation
- Version up from 1.4.2 to 1.13.4

* Fri Jan 30 2009 Sony Corporation
- add switch_root

* Fri Dec 05 2008 Sony Corporation
- add vconfig, ftpget and ftpput

* Fri Feb 01 2008 Sony Corporation
- added sfdisk error exit bugfix patch

* Tue Oct 3 2007 Sony Corporation
- added tail bug fix patch which handles under the /proc directory
- added dd bug fix patch which returns a failure status

* Mon Aug 13 2007 Sony Corporation
- added IPv6 support(ping6, route)

* Wed Apr 11 2007 Sony Corporation
- added sed bug fix patch which handles a escaped newline in script file

* Mon Apr 9 2007 Sony Corporation
- added sfdisk applet bug fix patch

* Thu Apr 5 2007 Sony Corporation
- update sed same as version 1.5.0

* Fri Mar 30 2007 Sony Corporation
- busybox 1.4.2

* Fri Mar 16 2007 Sony Corporation
- add logger bug fix
- modify fuser, killall install dir

* Tue Mar 6 2007 Sony Corporation
- add fuser and killall

* Wed Feb 28 2007 Sony Corporation
- Version update to 1.4.1 

* Mon Feb 26 2007 Sony Corporation
- delete patch #4. 

* Wed Feb 21 2007 Sony Corporation
- add patch #4 which modify utime to utimes.

* Fri Jun 30 2006 Sony Corporation
- modify kill install directory

* Thu Jun 15 2006 Sony Corporation
- stopped removing commands: cmp, xargs, basename, dirname, env, expr, test,
  cut, sort, uniq, logger, md5sum, mkfifo, login

* Thu Feb 2 2006 Sony Corporation
- add busybox-builtin-insmod.patch

* Thu Nov 17 2005 Sony Corporation
- delete busybox-1.0-ash.patch

* Tue Aug 30 2005 Sony Corporation
- busybox 1.01

* Tue Aug 16 2005 Sony Corporation
- add readlink, uname, modprobe command

* Mon Aug 15 2005 Sony Corporation
- builtin umount patch

* Tue Jun 14 2005 Sony Corporation
- fix NULL environment variable problem

* Fri Jun 3 2005 Sony Corporation
- nfs & nfsmount patch

* Tue May 17 2005 Sony Corporation
- builtin command patch & modify symbolic links

* Fri Apr 8 2005 Sony Corporation
- enable utmp/wtmp feature

* Thu Jan 13 2005 Sony Corporation
- modify make options for arm and powerpc

* Tue Nov 10 2004 Sony Corporation
- change  Name: busybox -> Name: sony-target-dev-busybox

* Thu Oct 14 2004 Sony Corporation
- Initial build
